Overview
Triggers a delivery report for messageList API.
URL Parameters
<!--complex table-->
| Name |
Type |
|
Description |
| tokenid |
string |
Required |
The ID provided in the MessageList REST response |
| messageID |
string |
Required |
The API key of the message definition (configured in the MobileConnect user interface) |
JSON Parameters
<!--complex table-->
| Name |
Type |
|
Description |
| fileName |
string |
Required |
The name of the report file in your FTP/reports folder |
Usage
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
POST /sms/v1/messageList/{messageID}/deliveryReport/{tokenid}
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
{
"filename": "DeliveryReportFileName"
}